Open Lighting Architecture: ola::rdm::FrequencyModulationSetting Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
ola::rdm::FrequencyModulationSetting Class Reference

## Detailed Description

A PWM Frequency Setting. See Section 4.10 of E1.37-1.

Inheritance diagram for ola::rdm::FrequencyModulationSetting:

## Classes
struct | FrequencyModulationArg
| The constructor argument for the FrequencyModulationSetting. More...

## Public Types
typedef FrequencyModulationArg | ArgType

## Public Member Functions
| FrequencyModulationSetting (const ArgType &arg)
| Construct a new FrequencyModulationSetting.
std::string | Description () const
| The text description of this setting.
uint32_t | Frequency () const
| returns the frequency for this setting.
unsigned int | DescriptionResponseSize () const
| Return the size of the _DESCRIPTION parameter data.
unsigned int | GenerateDescriptionResponse (uint8_t index, uint8_t *data) const
| Populate the _DESCRIPTION parameter data.

## Constructor & Destructor Documentation

## ◆ FrequencyModulationSetting()

ola::rdm::FrequencyModulationSetting::FrequencyModulationSetting | ( | const ArgType & | arg | ) |
| explicit

Construct a new FrequencyModulationSetting.

Parameters

  arg | the FrequencyModulationArg for this setting.

## Member Function Documentation

## ◆ Description()

std::string ola::rdm::FrequencyModulationSetting::Description | ( |  | ) | const
| inlinevirtual

The text description of this setting.

Returns
  the string description of the setting.

Implements ola::rdm::SettingInterface.

## ◆ DescriptionResponseSize()

unsigned int ola::rdm::FrequencyModulationSetting::DescriptionResponseSize | ( |  | ) | const
| inlinevirtual

Return the size of the _DESCRIPTION parameter data.

Implements ola::rdm::SettingInterface.

## ◆ GenerateDescriptionResponse()

unsigned int ola::rdm::FrequencyModulationSetting::GenerateDescriptionResponse | ( | uint8_t | index,
|  | uint8_t * | data ) const
| virtual

Populate the _DESCRIPTION parameter data.

Parameters

  index | the index for this setting
  data | the RDM parameter data to write to.

Implements ola::rdm::SettingInterface.

The documentation for this class was generated from the following files:

- include/ola/rdm/ResponderSettings.h
- common/rdm/ResponderSettings.cpp